<?xml version="1.0" encoding="UTF-8"?>
<module external.linked.project.id=":tutorial-5:test" external.linked.project.path="$MODULE_DIR$/../../../../tutorial-5" external.root.project.path="$MODULE_DIR$/../../.." external.system.id="GRADLE" external.system.module.group="id.ac.ui.cs.advprog" external.system.module.type="sourceSet" external.system.module.version="unspecified" type="JAVA_MODULE" version="4">
  <component name="NewModuleRootManager" LANGUAGE_LEVEL="JDK_1_8">
    <output-test url="file://$MODULE_DIR$/../../../../tutorial-5/out/test/classes" />
    <exclude-output />
    <content url="file://$MODULE_DIR$/../../../../tutorial-5/src/test">
      <sourceFolder url="file://$MODULE_DIR$/../../../../tutorial-5/src/test/java" isTestSource="true" />
    </content>
    <orderEntry type="inheritedJdk" />
    <orderEntry type="sourceFolder" forTests="false" />
    <orderEntry type="module" module-name="id.ac.ui.cs.advprog.tutorial-5.main" />
    <orderEntry type="library" name="Gradle: org.springframework.boot:spring-boot-starter-web:2.0.0.RELEASE" level="project" />
    <orderEntry type="library" name="Gradle: org.springframework.boot:spring-boot-starter-thymeleaf:2.0.0.RELEASE" level="project" />
    <orderEntry type="library" name="Gradle: org.springframework.boot:spring-boot-devtools:2.0.0.RELEASE" level="project" />
    <orderEntry type="library" name="Gradle: org.springframework.boot:spring-boot-starter-test:2.0.0.RELEASE" level="project" />
    <orderEntry type="library" name="Gradle: org.mockito:mockito-core:2.5.4" level="project" />
    <orderEntry type="library" name="Gradle: org.junit.jupiter:junit-jupiter-api:5.1.0" level="project" />
    <orderEntry type="library" name="Gradle: junit:junit:4.12" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: org.junit.jupiter:junit-jupiter-engine:5.1.0" level="project" />
    <orderEntry type="library" name="Gradle: org.springframework.boot:spring-boot-starter-json:2.0.0.RELEASE" level="project" />
    <orderEntry type="library" name="Gradle: org.springframework.boot:spring-boot-starter:2.0.0.RELEASE" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: org.junit.vintage:junit-vintage-engine:5.1.0" level="project" />
    <orderEntry type="library" name="Gradle: org.springframework.boot:spring-boot-starter-tomcat:2.0.0.RELEASE" level="project" />
    <orderEntry type="library" name="Gradle: org.hibernate.validator:hibernate-validator:6.0.7.Final" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: org.junit.platform:junit-platform-launcher:1.1.0" level="project" />
    <orderEntry type="library" name="Gradle: org.thymeleaf:thymeleaf-spring5:3.0.9.RELEASE" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: org.springframework:spring-webmvc:5.0.4.RELEASE" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: org.springframework:spring-web:5.0.4.RELEASE" level="project" />
    <orderEntry type="library" name="Gradle: org.springframework.boot:spring-boot:2.0.0.RELEASE" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: org.thymeleaf.extras:thymeleaf-extras-java8time:3.0.1.RELEASE" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: org.springframework.boot:spring-boot-test-autoconfigure:2.0.0.RELEASE" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: org.springframework.boot:spring-boot-autoconfigure:2.0.0.RELEASE" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: org.springframework.boot:spring-boot-test:2.0.0.RELEASE" level="project" />
    <orderEntry type="library" name="Gradle: com.jayway.jsonpath:json-path:2.4.0" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: net.bytebuddy:byte-buddy:1.7.10" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: net.bytebuddy:byte-buddy-agent:1.7.10" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: org.objenesis:objenesis:2.4" level="project" />
    <orderEntry type="library" name="Gradle: org.skyscreamer:jsonassert:1.5.0" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: org.junit.platform:junit-platform-engine:1.1.0" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: org.junit.platform:junit-platform-commons:1.1.0" level="project" />
    <orderEntry type="library" name="Gradle: org.springframework:spring-context:5.0.4.RELEASE" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: org.apiguardian:apiguardian-api:1.0.0" level="project" />
    <orderEntry type="library" name="Gradle: org.springframework:spring-aop:5.0.4.RELEASE" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: org.opentest4j:opentest4j:1.0.0" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: org.hamcrest:hamcrest-library:1.3" level="project" />
    <orderEntry type="library" name="Gradle: org.springframework:spring-core:5.0.4.RELEASE" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: org.hamcrest:hamcrest-core:1.3" level="project" />
    <orderEntry type="library" name="Gradle: org.springframework.boot:spring-boot-starter-logging:2.0.0.RELEASE" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: org.assertj:assertj-core:3.9.1" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: org.springframework:spring-test:5.0.4.RELEASE" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: org.springframework:spring-expression:5.0.4.RELEASE" level="project" />
    <orderEntry type="library" name="Gradle: com.fasterxml.jackson.core:jackson-databind:2.9.4" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: org.springframework:spring-beans:5.0.4.RELEASE" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: org.xmlunit:xmlunit-core:2.5.1" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: javax.annotation:javax.annotation-api:1.3.2" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: org.yaml:snakeyaml:1.19" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: com.fasterxml.jackson.datatype:jackson-datatype-jdk8:2.9.4" level="project" />
    <orderEntry type="library" name="Gradle: org.thymeleaf:thymeleaf:3.0.9.RELEASE" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: com.fasterxml.jackson.datatype:jackson-datatype-jsr310:2.9.4" level="project" />
    <orderEntry type="library" name="Gradle: ch.qos.logback:logback-classic:1.2.3" level="project" />
    <orderEntry type="library" name="Gradle: org.apache.logging.log4j:log4j-to-slf4j:2.10.0" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: com.fasterxml.jackson.module:jackson-module-parameter-names:2.9.4" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: org.apache.tomcat.embed:tomcat-embed-websocket:8.5.28" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: org.apache.tomcat.embed:tomcat-embed-core:8.5.28" level="project" />
    <orderEntry type="library" name="Gradle: net.minidev:json-smart:2.3" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: org.apache.tomcat.embed:tomcat-embed-el:8.5.28" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: javax.validation:validation-api:2.0.1.Final" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: org.jboss.logging:jboss-logging:3.3.2.Final" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: com.fasterxml:classmate:1.3.4" level="project" />
    <orderEntry type="library" name="Gradle: net.minidev:accessors-smart:1.2" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: org.slf4j:jul-to-slf4j:1.7.25" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: org.slf4j:slf4j-api:1.7.25" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: com.vaadin.external.google:android-json:0.0.20131108.vaadin1" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: org.springframework:spring-jcl:5.0.4.RELEASE" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: com.fasterxml.jackson.core:jackson-annotations:2.9.0" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: com.fasterxml.jackson.core:jackson-core:2.9.4" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: org.attoparser:attoparser:2.0.4.RELEASE" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: org.unbescape:unbescape:1.1.5.RELEASE" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: ch.qos.logback:logback-core:1.2.3" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: org.apache.logging.log4j:log4j-api:2.10.0" level="project" />
    <orderEntry type="library" scope="RUNTIME" name="Gradle: org.ow2.asm:asm:5.0.4" level="project" />
  </component>
  <component name="TestModuleProperties" production-module="id.ac.ui.cs.advprog.tutorial-5.main" />
</module>